---
kind: pipeline
type: docker
name: deploy

steps:

- name: build
  image: plugins/hugo
  settings:
    hugo_version: 0.112.3

- name: stage
  image: alpine
  commands:
   - tar -czf site.tar.gz -C public/ .

- name: upload artifacts
  image: git.burble.dn42/burble.dn42/drone-gitea-pkg-plugin:latest
  settings:
    token:
      from_secret: TOKEN
    version: latest
    artifact: site.tar.gz
    package: www
    owner: burble.dn42

---
kind: secret
name: TOKEN
get:
  path: burble.dn42/kv/data/drone/git.burble.dn42
  name: artifact-token

